A new community.
POST
/api/admin/communities
const url = 'https://example.com/api/admin/communities';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/admin/communities \ --header 'Content-Type: application/json' \ --data '{ "name": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
null | string
Example generated
{ "name": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
id
required
string format: uuid
name
required
string
createdAt
required
string format: date-time
members
required
integer format: int32
codes
required
Array<object>
object
code
required
string
createdAt
required
string format: date-time
expiresAt
required
null | string format: date-time
maxUses
required
null | integer format: int32
uses
required
integer format: int32
revokedAt
required
null | string format: date-time
usable
required
boolean
Example generated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "createdAt": "2026-04-15T12:00:00Z", "members": 1, "codes": [ { "code": "example", "createdAt": "2026-04-15T12:00:00Z", "expiresAt": "2026-04-15T12:00:00Z", "maxUses": 1, "uses": 1, "revokedAt": "2026-04-15T12:00:00Z", "usable": true } ] }]Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}